Last Comment Bug 746512 - configure tests for nsis are duplicated for Web App Runtime
: configure tests for nsis are duplicated for Web App Runtime
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: x86 Windows 7
: -- normal (vote)
: mozilla15
Assigned To: Jacek Caban
:
Mentors:
Depends on:
Blocks: 725408
  Show dependency treegraph
 
Reported: 2012-04-18 02:20 PDT by Jacek Caban
Modified: 2012-05-10 14:52 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix v1.0 (4.06 KB, patch)
2012-04-18 02:20 PDT, Jacek Caban
ted: review+
Details | Diff | Review

Description Jacek Caban 2012-04-18 02:20:00 PDT
Created attachment 616058 [details] [diff] [review]
fix v1.0

Bug 725408 introduced duplicated nsis configure checks that do not contain fix for 739188 (I guess they were copied before removing --disable-installer option). The attached patch fixes it. It also automatically disables webapp-runtime for windows if nsis is not found (which is possible only when cross compiling). If requirement for explicit disabling is preferred, I will change the patch.
Comment 1 Jacek Caban 2012-04-19 06:15:54 PDT
Successful try build:

https://tbpl.mozilla.org/?tree=Try&rev=4d4ac1546f20
Comment 2 Ted Mielczarek [:ted.mielczarek] 2012-04-23 09:42:04 PDT
Comment on attachment 616058 [details] [diff] [review]
fix v1.0

Review of attachment 616058 [details] [diff] [review]:
-----------------------------------------------------------------

::: configure.in
@@ +6321,5 @@
> +MOZ_ARG_DISABLE_BOOL(webapp-runtime,
> +[  --disable-webapp-runtime  Disable Web App Runtime],
> +    MOZ_WEBAPP_RUNTIME=,
> +    MOZ_WEBAPP_RUNTIME=1)
> +if test "$OS_ARCH" = "WINNT" -a -z "$MAKENSISU"; then

Can you explicitly check CROSS_COMPILE here? That'd make me feel better.
Comment 3 Jacek Caban 2012-04-25 06:50:03 PDT
I've added a check for CROSS_COMPILE and pushed to m-i. Thanks for review.

https://hg.mozilla.org/integration/mozilla-inbound/rev/1aadea66098c
Comment 4 Kyle Huey [:khuey] (khuey@mozilla.com) 2012-04-25 20:38:26 PDT
https://hg.mozilla.org/mozilla-central/rev/1aadea66098c

Note You need to log in before you can comment on or make changes to this bug.